local MAJOR = "LibScriptableDisplayPluginSkada-1.0" 
local MINOR = 15

local PluginSkada = LibStub:NewLibrary(MAJOR, MINOR)
if not PluginSkada then return end

local ScriptEnv = {}

-- Populate an environment with this plugin's fields
-- @usage :New(environment) 
-- @parma environment This will be the environment when setfenv is called.
-- @return A new plugin object, aka the environment
function PluginSkada:New(environment)
	for k, v in pairs(ScriptEnv) do
		environment[k] = v
		self[k] = v
	end
	return environment
end

local function SkadaUnitDPS(unit)
	if not Skada then return end
	local set = Skada:find_set("current")
	local playerid = UnitGUID(unit)
	local player = Skada:find_player(set, playerid)
	if player then
		local totaltime = Skada:PlayerActiveTime(set, player)
		return player.damage / math.max(1,totaltime)
	end
end
ScriptEnv.SkadaUnitDPS = SkadaUnitDPS